Loading...
Searching...
No Matches
openmpt_module_ext_interface_interactive2 Struct Reference
libopenmpt_ext C

`#include <libopenmpt/libopenmpt_ext.h>`

## Public Attributes

int(* | note_off )(openmpt_module_ext *mod_ext, int32_t channel)
| Sends a key-off command for the note playing on the specified channel.
int(* | note_fade )(openmpt_module_ext *mod_ext, int32_t channel)
| Sends a note fade command for the note playing on the specified channel.
int(* | set_channel_panning )(openmpt_module_ext *mod_ext, int32_t channel, double panning)
| Set the current panning for a channel.
double(* | get_channel_panning )(openmpt_module_ext *mod_ext, int32_t channel)
| Get the current panning position for a channel.
int(* | set_note_finetune )(openmpt_module_ext *mod_ext, int32_t channel, double finetune)
| Set the finetune for the currently playing note on a channel.
double(* | get_note_finetune )(openmpt_module_ext *mod_ext, int32_t channel)
| Get the finetune for the currently playing note on a channel.

## Member Data Documentation

## get_channel_panning

double(* openmpt_module_ext_interface_interactive2::get_channel_panning) (openmpt_module_ext *mod_ext, int32_t channel)

Get the current panning position for a channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel whose panning should be retrieved. This is the value returned by a previous play_note call.

Returns
  The current channel panning, in range [-1.0, 1.0], 0.0 is center.

See also
  openmpt_module_ext_interface_interactive2::set_channel_panning

Since
  0.6.0

## get_note_finetune

double(* openmpt_module_ext_interface_interactive2::get_note_finetune) (openmpt_module_ext *mod_ext, int32_t channel)

Get the finetune for the currently playing note on a channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel whose finetune should be retrieved, in range [0, openmpt::module::get_num_channels()[

Returns
  The current channel finetune, in range [-1.0, 1.0], 0.0 is center.

Remarks
  The finetune range depends on the pitch wheel depth of the instrument playing on the current channel; for sample-based modules, the depth of this command is fixed to +/-1 semitone.

Exceptions

  openmpt::exception | Throws an exception derived from openmpt::exception if the channel is outside the specified range.

See also
  openmpt_module_ext_interface_interactive2::set_note_finetune

Since
  0.6.0

## note_fade

int(* openmpt_module_ext_interface_interactive2::note_fade) (openmpt_module_ext *mod_ext, int32_t channel)

Sends a note fade command for the note playing on the specified channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel on which the note should be faded. This is the value returned by a previous play_note call.

Returns
  1 on success, 0 on failure (channel out of range).

Remarks
  This method uses the instrument's fade-out value. If the module does not use instruments, or the instrument's fade-out value is 0, it does nothing.

See also
  openmpt_module_ext_interface_interactive::play_note
  openmpt_module_ext_interface_interactive::stop_note
  openmpt_module_ext_interface_interactive2::note_fade

Since
  0.6.0

## note_off

int(* openmpt_module_ext_interface_interactive2::note_off) (openmpt_module_ext *mod_ext, int32_t channel)

Sends a key-off command for the note playing on the specified channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel on which the key-off event should be triggered. This is the value returned by a previous play_note call.

Returns
  1 on success, 0 on failure (channel out of range).

Remarks
  This method releases envelopes and sample sustain loops. If the sample has no sustain loop, or if the module does not use instruments, it does nothing.

See also
  openmpt_module_ext_interface_interactive::play_note
  openmpt_module_ext_interface_interactive::stop_note
  openmpt_module_ext_interface_interactive2::note_fade

Since
  0.6.0

## set_channel_panning

int(* openmpt_module_ext_interface_interactive2::set_channel_panning) (openmpt_module_ext *mod_ext, int32_t channel, double panning)

Set the current panning for a channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel that should be panned. This is the value returned by a previous play_note call.
  panning | The panning position to set on the channel, in range [-1.0, 1.0], 0.0 is center.

Returns
  1 on success, 0 on failure (channel out of range).

Remarks
  This command affects subsequent notes played on the same channel, and may itself be overridden by subsequent panning commands encountered in the module itself.

See also
  openmpt_module_ext_interface_interactive2::get_channel_panning

Since
  0.6.0

## set_note_finetune

int(* openmpt_module_ext_interface_interactive2::set_note_finetune) (openmpt_module_ext *mod_ext, int32_t channel, double finetune)

Set the finetune for the currently playing note on a channel.

Parameters

  mod_ext | The module handle to work on.
  channel | The channel whose finetune will be changed, in range [0, openmpt::module::get_num_channels()[
  finetune | The finetune to set on the channel, in range [-1.0, 1.0], 0.0 is center.

Exceptions

  openmpt::exception | Throws an exception derived from openmpt::exception if the channel index is invalid.

Remarks
  The finetune range depends on the pitch wheel depth of the instrument playing on the current channel; for sample-based modules, the depth of this command is fixed to +/-1 semitone.
  This command does not affect subsequent notes played on the same channel, but may itself be overridden by subsequent finetune commands encountered in the module itself.

See also
  openmpt_module_ext_interface_interactive2::get_note_finetune

Since
  0.6.0

The documentation for this struct was generated from the following file:

- libopenmpt/libopenmpt_ext.h